Class CreateSecret.Request
java.lang.Object
io.helidon.integrations.common.rest.ApiJsonBuilder<T>
io.helidon.integrations.common.rest.ApiJsonRequest<T>
io.helidon.integrations.oci.connect.OciRequestBase<CreateSecret.Request>
io.helidon.integrations.oci.vault.CreateSecret.Request
- All Implemented Interfaces:
ApiRequest<CreateSecret.Request>
- Enclosing class:
- CreateSecret
Request object. Can be configured with additional headers, query parameters etc.
-
Method Summary
Modifier and TypeMethodDescriptionstatic CreateSecret.Requestbuilder()Fluent API builder for configuring a request.compartmentId(String compartmentOcid) The OCID of the compartment where you want to create the secret.description(String description) A brief description of the secret.encryptionKeyId(String encryptionKeyOcid) The OCID of the master encryption key that is used to encrypt the secret.secretContent(CreateSecret.SecretContent secretContent) Content of the secret.secretName(String name) A user-friendly name for the secret.The OCID of the vault where you want to create the secret.Methods inherited from class io.helidon.integrations.oci.connect.OciRequestBase
add, endpoint, endpoint, hostFormat, hostPrefix, retryTokenMethods inherited from class io.helidon.integrations.common.rest.ApiJsonRequest
addHeader, addQueryParam, headers, queryParams, requestId, requestId, requestMediaType, requestMediaType, responseMediaType, responseMediaTypeMethods inherited from class io.helidon.integrations.common.rest.ApiJsonBuilder
add, add, add, add, add, add, addBase64, addToArray, addToArray, addToArray, addToArray, addToArray, addToArray, addToObject, addToObject, addToObject, addToObject, addToObject, emptyArray, me, postBuild, preBuild, toJsonMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface io.helidon.integrations.common.rest.ApiRequest
toJson
-
Method Details
-
builder
Fluent API builder for configuring a request. The request builder is passed as is, without a build method. The equivalent of a build method isApiJsonBuilder.toJson(jakarta.json.JsonBuilderFactory)used by theRestApi.- Returns:
- new request builder
-
vaultId
The OCID of the vault where you want to create the secret. Required.- Parameters:
vaultOcid- vault OCI- Returns:
- updated request
-
secretName
A user-friendly name for the secret. Secret names should be unique within a vault. Avoid entering confidential information. Valid characters are uppercase or lowercase letters, numbers, hyphens, underscores, and periods. Required.- Parameters:
name- name of the secret- Returns:
- updated request
-
description
A brief description of the secret. Avoid entering confidential information. Optional.- Parameters:
description- description- Returns:
- updated request
-
encryptionKeyId
The OCID of the master encryption key that is used to encrypt the secret. You must specify a symmetric key to encrypt the secret during import to the vault. You cannot encrypt secrets with asymmetric keys. Furthermore, the key must exist in the vault that you specify. This is required, even though the API docs mark it as optional.- Parameters:
encryptionKeyOcid- OCID of the encryption key- Returns:
- updated request
-
secretContent
Content of the secret.- Parameters:
secretContent- content- Returns:
- updated request
-
compartmentId
The OCID of the compartment where you want to create the secret. Required.- Parameters:
compartmentOcid- compartment OCID- Returns:
- updated request
-